alias lg='ll -a | grep'
mc() {
  mkdir $1
  cd $1
}

alias ecc='cd $CI_ECCAD_HOME && source env.sh'
alias ecr='cd $CI_RELEASE_ECHOME && source env.sh'
alias v='vim'
alias ll='ls -lha'
alias ds='du -h --max-depth=1'
alias mr='cd ~/workspace/mirror/eccad && source env.sh'
alias ci='cd ~/workspace/master/eccad/scripts/ci'
alias pcci='pc ~/workspace/master/eccad/scripts/ci'
# Git
alias gb='git branch'
alias gs='git status'
alias gl='git log'
alias gd='git diff'
alias gp='git pull'
alias gm='git commit -m'
# ECCAD
setversion() {
  export MAJOR=0
  export MINOR=1
  export COPYRIGHT="2023-2024"
  export BUILD=$(curl -sS eccadapi/build/next-build | sed 's/"//g')_alpha
  export PATCH=1
  echo "MAJOR=$MAJOR MINOR=$MINOR PATCH=$PATCH COPYRIGHT=$COPYRIGHT BUILD=$BUILD"
}
# Bash aliases
alias du='du -h --max-depth=1'
# Quick ssh
alias ops='ssh root@suzopsany01'
alias api='ssh root@api.eagle.local'
alias autops='ssh root@autops.eagle.local'
alias toolchain='ssh root@autops.eagle.local'
alias esq='ssh root@101.35.8.154'
alias cpid='ssh-copy-id'
alias apidb='ssh root@apidb.eagle.local'
alias oness='ssh root@suzones.eagle.local'
alias proxy='ssh root@suzproxy01.eagle.local'
alias apimonitor='ssh root@apimonitor.eagle.local'
alias portal='ssh root@portal.eagle.local'
alias datac='ssh root@datacenter.eagle.local'
alias apip='ssh root@47.116.120.231'
alias gtss="ssh 'ubuntu@git.marsway.red'"
